summaryrefslogtreecommitdiffhomepage
path: root/modules/freifunk/root/etc
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2009-05-24 19:28:04 +0000
committerJo-Philipp Wich <jow@openwrt.org>2009-05-24 19:28:04 +0000
commit6ca3b275fc9bd83ccc9a4decf6d04d819f0efcf9 (patch)
treea971d885ecee5b0a5b4871f4d54e4ba3870d6869 /modules/freifunk/root/etc
parentee690abb0f482f0fd3f0b744f98b05699c08c8e4 (diff)
modules/freifunk: implement map update for GlobalMap
applications/luci-ffwizard-leipzig: add lat and lon fields
Diffstat (limited to 'modules/freifunk/root/etc')
-rwxr-xr-xmodules/freifunk/root/etc/init.d/freifunk4
1 files changed, 4 insertions, 0 deletions
diff --git a/modules/freifunk/root/etc/init.d/freifunk b/modules/freifunk/root/etc/init.d/freifunk
index d90e3ff5e9..3a668b11f5 100755
--- a/modules/freifunk/root/etc/init.d/freifunk
+++ b/modules/freifunk/root/etc/init.d/freifunk
@@ -23,6 +23,10 @@ boot() {
echo "0 */4 * * * /usr/sbin/ff_rdate" >> /etc/crontabs/root
}
+ grep -q '/usr/sbin/ff_mapupdate' /etc/crontabs/root || {
+ echo "17 * * * * /usr/sbin/ff_mapupdate >> /etc/crontabs/root
+ }
+
[ -f /etc/rc.local ] && . /etc/rc.local
[ -d /etc/rc.local.d ] && {
for file in /etc/rc.local.d/*; do